options(repos="https://ftp.yz.yamagata-u.ac.jp/pub/cran/")
if(!require("BiocManager",quietly=T)){install.packages("BiocManager")}
x <- c("ChemmineR","ChemmineOB");for(i in x){
  if(!require(i,character.only=T)){
    BiocManager::install(i);library(i,character.only=T)}};rm(x,i)
sdfset<-read.SDFset("DataChemicalStructure.sdf")
SDFDataTable(sdfset)
view(sdfset)
write.SDF(sdfset,"DataChemicalStructureOut1.sdf")
draw_sdf(sdfset[1:20],filename="draw.pdf",
         alpha_edge=1,alpha_node=1,
         numbered=TRUE,font_size=2)